API referenceItems
List saved items, by name
GET
apiKeyheader
AuthorizationBearer <token>API key: gb_test_… or gb_live_…
search?stringPart of the item name, case-insensitive
Length
length <= 100include_archived?stringValue in
"true""false"limit?integerHow many items to return, 1–200 (default 200)
Range
1 <= value <= 200Default
200Getbeel-Company?stringAct on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.
Format
uuidOK
application/json- response
object*stringdata*array<>has_more*booleannext_cursor*string|nullcurl -X GET 'https://www.getbeel.com/api/v1/items'Example Response
{ "object": "list", "data": [ { "object": "item", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "livemode": true, "name": "string", "description": "string", "code": "string", "unit_price": 0, "unit": "ore", "vat_rate": 0, "natura": "string", "archived": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "has_more": true, "next_cursor": "string"}